curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries/c45a4e8e-5969-4609-8218-091f5db7287e' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"beneficiary_id": "c45a4e8e-5969-4609-8218-091f5db7287e",
"entity_type": "company",
"payment_method": "swift",
"beneficiary_email": "[email protected]",
"beneficiary_nickname": "MANY A-SUN",
"beneficiary_company_name": "Courtesy Hardware Store",
"beneficiary_summary": "USD account ending in 4557",
"account_currency_code": "USD",
"bank_country_code": "US",
"beneficiary_bank_details": {
"bank_name": "1ST STATE BANK",
"bank_address": "4929 Briarwood Drive",
"bank_country_code": "US",
"account_holder": "Robert Shishani",
"account_currency_code": "USD",
"account_number": "4865393923574557",
"iban": "",
"swift_code": "230",
"clearing_system": "SWIFT",
"routing_code_type1": "",
"routing_code_value1": "",
"routing_code_type2": "",
"routing_code_value2": ""
},
"beneficiary_address": {
"country_code": "US",
"city": "Montgomery",
"street_address": "1230 Stafford Dr",
"postal_code": "36117",
"state": "Alabama"
}
}
}
Beneficiaries
Retrieve a beneficiary by id
This endpoint returns a beneficiary based on the id.
GET
/
api
/
v1
/
beneficiaries
/
{beneficiary_id}
curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries/c45a4e8e-5969-4609-8218-091f5db7287e' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"beneficiary_id": "c45a4e8e-5969-4609-8218-091f5db7287e",
"entity_type": "company",
"payment_method": "swift",
"beneficiary_email": "[email protected]",
"beneficiary_nickname": "MANY A-SUN",
"beneficiary_company_name": "Courtesy Hardware Store",
"beneficiary_summary": "USD account ending in 4557",
"account_currency_code": "USD",
"bank_country_code": "US",
"beneficiary_bank_details": {
"bank_name": "1ST STATE BANK",
"bank_address": "4929 Briarwood Drive",
"bank_country_code": "US",
"account_holder": "Robert Shishani",
"account_currency_code": "USD",
"account_number": "4865393923574557",
"iban": "",
"swift_code": "230",
"clearing_system": "SWIFT",
"routing_code_type1": "",
"routing_code_value1": "",
"routing_code_type2": "",
"routing_code_value2": ""
},
"beneficiary_address": {
"country_code": "US",
"city": "Montgomery",
"street_address": "1230 Stafford Dr",
"postal_code": "36117",
"state": "Alabama"
}
}
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
string
required
ID of the beneficiary.
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
object
Hide details
Hide details
string
ID of the beneficiary.
string
Entity type of the beneficiary.
One of
One of
company, individualstring
The payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account.
string
Email of the beneficiary.
string
Nickname of the beneficiary.
string
Company name of the beneficiary.
string
Summary of the beneficiary.
string
Bank country code.
Two-letter ISO 3166-2 country code.
Two-letter ISO 3166-2 country code.
string
First name of the beneficiary.
string
Last name of the beneficiary.
object
Beneficiary’s bank account details where the payment will be credited.
Show details
Show details
string
Bank name of the beneficiary’s bank account.
string
Bank street address.
string
Bank country code.
Two-letter ISO 3166-2 country code.
Two-letter ISO 3166-2 country code.
string
Account holder name of the beneficiary’s bank account.
object
Number of the account this beneficiary is associated with.
string
International bank account number, mostly for european countries.
string
Bank swift code.
string
Supported clearing systems to remit incoming funds to the account.
string
Routing code type.
string
Routing code value.
object
Routing code sub type.
object
Routing code sub type value.
curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries/c45a4e8e-5969-4609-8218-091f5db7287e' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"beneficiary_id": "c45a4e8e-5969-4609-8218-091f5db7287e",
"entity_type": "company",
"payment_method": "swift",
"beneficiary_email": "[email protected]",
"beneficiary_nickname": "MANY A-SUN",
"beneficiary_company_name": "Courtesy Hardware Store",
"beneficiary_summary": "USD account ending in 4557",
"account_currency_code": "USD",
"bank_country_code": "US",
"beneficiary_bank_details": {
"bank_name": "1ST STATE BANK",
"bank_address": "4929 Briarwood Drive",
"bank_country_code": "US",
"account_holder": "Robert Shishani",
"account_currency_code": "USD",
"account_number": "4865393923574557",
"iban": "",
"swift_code": "230",
"clearing_system": "SWIFT",
"routing_code_type1": "",
"routing_code_value1": "",
"routing_code_type2": "",
"routing_code_value2": ""
},
"beneficiary_address": {
"country_code": "US",
"city": "Montgomery",
"street_address": "1230 Stafford Dr",
"postal_code": "36117",
"state": "Alabama"
}
}
}
⌘I